additionalProperties:
  formFields:
    - default: 8080
      edit: true
      envKey: PANEL_APP_PORT_HTTP
      labelEn: Web Port
      labelZh: Web 端口
      label:
        en: Web Port
        ja: ウェブポート
        ms: Port Web
        pt-br: Porta da Web
        ru: Веб-порт
        ko: 웹 포트
        zh-hant: 網頁埠
        zh: Web 端口
      required: true
      rule: paramPort
      type: number
    - default: 2022
      edit: true
      envKey: PANEL_APP_PORT_SFTP
      labelEn: SFTP Port
      labelZh: SFTP 端口
      label:
        en: SFTP Port
        ja: SFTP ポート
        ms: Port SFTP
        pt-br: Porta SFTP
        ru: Порт SFTP
        ko: SFTP 포트
        zh-hant: SFTP 埠
        zh: SFTP 端口
      required: true
      rule: paramPort
      type: number
    - default: 2121
      edit: true
      envKey: PANEL_APP_PORT_FTP
      labelEn: FTP Port
      labelZh: FTP 端口
      label:
        en: FTP Port
        ja: FTP ポート
        ms: Port FTP
        pt-br: Porta FTP
        ru: Порт FTP
        ko: FTP 포트
        zh-hant: FTP 埠
        zh: FTP 端口
      required: true
      rule: paramPort
      type: number
    - default: 50000
      edit: true
      envKey: PASSIVE_PORT_RANGE_START
      labelEn: FTP Passive Mod Start Port
      labelZh: FTP 被动模式起始端口
      label:
        en: FTP Passive Mod Start Port
        ja: FTPパッシブモード開始ポート
        ms: Port Mula Mod Pasif FTP
        pt-br: Porta de Início do Modo Passivo FTP
        ru: Порт начала пассивного режима FTP
        ko: FTP 패시브 모드 시작 포트
        zh-hant: FTP 被動模式啟動埠
        zh: FTP 被动模式起始端口
      required: true
      rule: paramCommon
      type: text
    - default: 50100
      edit: true
      envKey: PASSIVE_PORT_RANGE_END
      labelEn: FTP Passive Mod End Port (Greater than the starting port)
      labelZh: FTP 被动模式结束端口 (大于起始端口)
      label:
        en: FTP Passive Mod End Port (Greater than the starting port)
        ja: FTPパッシブモード終了ポート（開始ポートより大きい）
        ms: Port Tamat Mod Pasif FTP (Lebih besar daripada port permulaan)
        pt-br: Porta Final do Modo Passivo FTP (Maior que a porta inicial)
        ru: Конечный порт пассивного режима FTP (Больше начального порта)
        ko: FTP 패시브 모드 종료 포트 (시작 포트보다 큼)
        zh-hant: FTP 被動模式結束埠（大於起始埠）
        zh: FTP 被动模式结束端口 (大于起始端口)
      required: true
      rule: paramCommon
      type: text
    - default: <your external ip here>
      edit: true
      envKey: FTP_EXTERNAL_IP
      labelEn: FTP External Ip (must change item)
      labelZh: FTP 外部地址 (必改项)
      label:
        en: FTP External Ip (must change item)
        ja: FTP 外部 IP（変更必須項目）
        ms: FTP IP Luaran (item mesti diubah)
        pt-br: IP Externo do FTP (item obrigatório a ser alterado)
        ru: Внешний IP FTP (необходимо изменить элемент)
        ko: FTP 외부 IP(항목 변경 필요)
        zh-hant: FTP 外部 IP（必須更改項目）
        zh: FTP 外部地址 (必改项)
      required: true
      rule: paramCommon
      type: text
    - default: 10080
      edit: true
      envKey: PANEL_APP_PORT_WEBDAV
      labelEn: WebDAV Port
      labelZh: WebDAV 端口
      label:
        en: WebDAV Port
        ja: WebDAV ポート
        ms: Port WebDAV
        pt-br: Porta WebDAV
        ru: Порт WebDAV
        ko: WebDAV 포트
        zh-hant: WebDAV 埠
        zh: WebDAV 端口
      required: true
      rule: paramPort
      type: number
